﻿@using Jumbula.Common.Helper
@model GeneralPaymentViewModel

@{
    ViewBag.Title = "AutomaticPayment";
}

<section class="container text-center">
    <div class="center-block" style="padding: 150px 0">
        @if (Model.IsPaid == false)
        {
            <h1 class="text-success">Thanks!</h1>

            <div>

                <h4>Thank you for using Jumbula to set up your payments. You have a balance of @CurrencyHelper.FormatCurrencyWithPenny(Model.Amount, Model.Currency).</h4>
                <br />
                @if (Model.Amount > 0)
                {
                    <p>
                        Please click on the link below to proceed.
                    </p>
                    if (Model.EnablePaypalPayment)
                    {
                        if (Model.ActionCaller == JumbulaSubSystem.Installment)
                        {


                            <a href="@Url.Action("InstallmentPayment", "Paypal", new { token = Model.Token })" style="margin-top: 50px; margin-right:20px; width:200px;" class="btn btn-success">
                                <span>Pay by paypal</span>
                            </a>

                        }
                        else
                        {

                            <a href="@Url.Action("InvoicePayment", "Paypal", new { token = Model.Token })" style="margin-top: 50px; margin-right:20px; width:200px;" class="btn btn-success">
                                <span>Pay by paypal</span>
                            </a>

                        }
                    }
                    if (Model.EnableCreditCardPayment)
                    {

                        <a href="@Url.Action("DirectPayment","Stripe", new {  actionCaller = Model.ActionCaller, token = Model.Token,backToDetail=Model.BackToDetail })" style="margin-top: 50px; margin-left:20px;  width:200px; " class="btn btn-success">
                            <span>Pay by credit card</span>
                        </a>
                    }
                }

            </div>
        }
        else
        {
            <div>
                <h4>You have already paid for this invoice.</h4>
            </div>
        }
    </div>
</section>
